#!/usr/bin/env python3

import argparse


def execute(args):
    siteswap = args.siteswap
    numeric = [int(n, 36) for n in siteswap]
    landings = [False] * len(siteswap)
    for idx, throw in enumerate(numeric):
        target = (idx + throw) % len(siteswap)
        if landings[target]:
            print(f"Invalid at index {idx} with throw {siteswap[idx]}.")
            return
        landings[target] = True
    print("Valid")


if __name__ == "__main__":
    parser = argparse.ArgumentParser(
        description=("Check a siteswap for validity."))
    parser.add_argument('siteswap', help="siteswap to convert")
    args = parser.parse_args()
    execute(args)
