#!/bin/bash
NUMPAGES=$(pdfinfo anthology.pdf  | grep Pages | sed -e 's/[^0-9]//g')
ADDITIONAL=$[(4 + (- $NUMPAGES) % 4) % 4]
JOINS=""
if [[ $ADDITIONAL -gt 0 ]]; then
    for i in $(seq 1 $ADDITIONAL); do
        JOINS="$JOINS empty-page.pdf"
    done
    pdftk anthology.pdf $JOINS cat output anthology-even.pdf
else
    cp anthology.pdf anthology-even.pdf
fi
ALLPAGES=$(pdfinfo anthology-even.pdf  | grep Pages | sed -e 's/[^0-9]//g')
N=$[$ALLPAGES / 4]
PAGESPEC=""
for i in `seq 1 $N`; do
    FIRST=$[4*$N - 2*($i - 1)]
    SECOND=$[2*($i - 1) + 1]
    THIRD=$[2*($i - 1) + 2]
    FOURTH=$[4*$N - 2*($i - 1) - 1]
    PAGESPEC="$PAGESPEC A$FIRST A$SECOND A$THIRD A$FOURTH"
done
PAGESPEC=$(echo $PAGESPEC |sed -e 's/,//')
pdftk A=anthology-even.pdf cat $PAGESPEC output anthology-sorted.pdf
pdf2ps anthology-sorted.pdf anthology-sorted.ps
psnup -2 -P a5 -p a4 anthology-sorted.ps anthology-a4.ps
ps2pdf anthology-a4.ps anthology-a4.pdf
#pdfjam --landscape --outfile anthology-a4.pdf --nup 2x1 anthology-even.pdf $PAGESPEC
rm anthology-even.pdf anthology-sorted.pdf anthology-sorted.ps anthology-a4.ps
